Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Generic PCI access library
Name:		libpciaccess
Version:	0.12.0
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		git://anongit.freedesktop.org/git/xorg/lib/libpciaccess
Group:		System/Libraries
Source0:	ftp://ftp.fu-berlin.de/unix/X11/FTP.X.ORG/pub/individual/lib/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Provides functionality for X to access the PCI bus and devices in a platform-independant way.

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

# delete all *.la files
rm -f %{buildroot}%_libdir/*.la

#exit 1

%files
%defattr(-,root,root)
%_libdir/libpciaccess.so.*

%files devel
%defattr(-,root,root)
%_libdir/libpciaccess.a
%_libdir/libpciaccess.so
%_pkgconfig/pciaccess.pc
%_includedir/pciaccess.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.12.0-1
- version update
* Wed Dec 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.11.0-1
- version update
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.9-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.6-2
- rebuilt
* Mon Apr 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.6-1
- version update
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.5-2
- rebuilt, updated dependencies
* Sun Nov 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.5-1
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.10.3-1
- Version update
* Mon Jan 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-1
- Initial Release
